Get Basic Reference package view
The Basic Reference package contains the core data required to identify a company, stock, and specific listing of that stock. Data includes items such as ISINs (excluding those issued by CUSIP Global Services), trading symbols, details of the exchange on which the stock is listed, Legal Entity Identifiers (LEI), and the Securities and Exchange Commission’s Central Index Key. Most recent data supported.
Query Parameters
Specifies the type of the value passed in the id parameter.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.
Allowed values:performanceIdisinsecurityIdcusiptradingSymbolfundCodemsid
Default:performanceId
Base currency to use for investment lookup. Accepts 3‑character ISO 4217 currency codes.
Domicile to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.
Exchange country to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.
Exchange identifier to use for investment lookup.
Path Parameters
Specifies the investment to query.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.
Example:0P00000046
Response
application/json
Response
OK
Show Child Parameters
Show Child Parameters
Show Child Parameters
All fields are nullable. Empty or null value fields are not returned.
Show Child Parameters
All fields are nullable. Empty or null value fields are not returned.
Show Child Parameters
Authentication
Path Parameters
Query Parameters
Custom Views
Get a custom view
Retrieve data for a custom view. A custom view combines views your account is entitled to into a single view with its own viewId.
Use GET /views to list the views available to your account, including custom views, and GET /views/{viewId} to see which datasets and data points a view returns.
Query Parameters
Specifies the type of the value passed in the id parameter.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.
Allowed values:performanceIdisinsecurityIdcusiptradingSymbolfundCodemsid
Default:performanceId
Base currency to use for investment lookup. Accepts 3‑character ISO 4217 currency codes.
Domicile to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.
Exchange country to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.
Exchange identifier to use for investment lookup.
Path Parameters
Specifies the investment to query.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.
Example:0P00000046
Identifier of the custom view, as returned by GET /views.
Response
application/json
Response
OK
ResponseCustomView
Contains one property per view or dataset included in the custom view, named as in the response of that view (for example activeShare), alongside identifiers and metadata.
All fields are nullable. Empty or null value fields are not returned.
Show Child Parameters
All fields are nullable. Empty or null value fields are not returned.
Show Child Parameters
Authentication
Path Parameters
Query Parameters
Utility Endpoints
Retrieve a view definition
Path Parameters
A view id, a standard package/dataset id, or the id of a saved dataset. When omitted, returns all entitled views and saved datasets.
Response
application/json
Response
OK
ResponseGetView
Response containing a view definition and the datapoints included in the view.
Definition of a view, including the datapoints it contains.
Show Child Parameters
All fields are nullable. Empty or null value fields are not returned.